Bug 1177127 - [SVVP]smbios HCT job failed with 'Processor Max Speed cannot be Unknown' with -M pc-i440fx-rhel7.1.0
Summary: [SVVP]smbios HCT job failed with 'Processor Max Speed cannot be Unknown' wit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1179165
TreeView+ depends on / blocked
 
Reported: 2014-12-24 10:06 UTC by Mike Cao
Modified: 2015-03-05 09:57 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-19.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1179165 (view as bug list)
Environment:
Last Closed: 2015-03-05 09:57:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description Mike Cao 2014-12-24 10:06:13 UTC
Description of problem:


Version-Release number of selected component (if applicable):
3.10.0-219.el7.x86_64
qemu-kvm-rhev-2.1.2-17.el7.x86_64
seabios-bin-1.7.5-6.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1.Start VM with -smbios type=1,manufacturer='Red Hat',product='Red Hat Enterprise OpenStack and Red Hat Enterprise Linux with Enterprise Virtualization',version=7Server-0.1,serial='44454C4C-5700-1058-804B-B7 C04 F483258_00:21:9b:58:d2:90',uuid=9dbd271a-0cb8-4aac-a473-882aa4daf9d7 -M  -M pc-i440fx-rhel7.1.0

CLI:
/usr/libexec/qemu-kvm --nodefaults --nodefconfig -m 256G -smp 48 -cpu Opteron_G3,+kvm_pv_unhalt,hv_relaxed,hv_spinlocks=0x1fff,hv_vapic,hv_time -M pc-i440fx-rhel7.0.0 -boot menu=on -usb -device usb-tablet,id=tablet0 -uuid 9dbd271a-0cb8-4aac-a473-882aa4daf9d7 -smbios type=1,manufacturer='Red Hat',product='Red Hat Enterprise OpenStack and Red Hat Enterprise Linux with Enterprise Virtualization',version=7Server-0.1,serial='44454C4C-5700-1058-804B-B7 C04 F483258_00:21:9b:58:d2:90',uuid=9dbd271a-0cb8-4aac-a473-882aa4daf9d7 -drive file=win2012R2-amd-max.raw,if=none,id=drive-virtio0-0-0,format=raw,werror=stop,rerror=stop,cache=none,serial=number -device virtio-blk-pci,drive=drive-virtio0-0-0,id=virti0-0-0,bootindex=1 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=net0,mac=05:52:54:21:15:2e,addr=0x04 -uuid 1c7bff83-76c0-4f92-b302-e54a8fe668ab -monitor stdio -vnc :5 -vga cirrus -name win2012R2-amd-MAX -global PIIX4_PM.disable_s3=1 -global PIIX4_PM.disable_s4=1 -cdrom en_windows_server_2012_r2_x64_dvd_2707946.iso -fda /usr/share/virtio-win/virtio-win_amd64.vfd -boot menu=on -device usb-ehci,id=ehci0 -drive file=usb-storage-amd-max.raw,if=none,id=drive-usb-2-0,media=disk,format=raw,cache=none,werror=stop,rerror=stop,aio=threads -device usb-storage,bus=ehci0.0,drive=drive-usb-2-0,id=usb-2-0,removable=on -rtc base=localtime,clock=host,driftfix=slew -chardev socket,id=b111a,path=/tmp/monitor-win2012R2-amd-max,server,nowait -mon chardev=b111a,mode=readline -monitor stdio
2.Run Smbios HCT job(job ID132) in Microsft HCK 2.1


Actual results:
job failed with following logs.

Start Test 12/24/2014 5:41:03.003 PM Validating SMBIOS... 
Message 12/24/2014 5:41:03.003 PM Examining Type 0 table for SMBIOS 2.4 support. 
Message 12/24/2014 5:41:03.003 PM BIOS Information Table length conforms to SMBIOS 2.4. 
Message 12/24/2014 5:41:03.003 PM Targeted Content Distribution Bit Set. 
Message 12/24/2014 5:41:03.003 PM Examining Type 1 table for SMBIOS 2.4 support. 
Message 12/24/2014 5:41:03.003 PM System Information Table length conforms to SMBIOS 2.4. 
Message 12/24/2014 5:41:03.003 PM Targeted Content Distribution Enabled. 
Message 12/24/2014 5:41:03.003 PM Table Type: 0 
Message 12/24/2014 5:41:03.003 PM Fixed Length: 24 bytes 
Message 12/24/2014 5:41:03.003 PM Total Length: 64 bytes 
Message 12/24/2014 5:41:03.003 PM 0: 00 18 00 00 01 02 00 E8 03 00 08 00 00 00 00 00 00 00 00 04 00 00 FF FF 
Message 12/24/2014 5:41:03.003 PM 1: "SeaBIOS" 
Message 12/24/2014 5:41:03.003 PM 2: "seabios-1.7.5-6.el7" 
Message 12/24/2014 5:41:03.003 PM 3: "04/01/2014" 
Message 12/24/2014 5:41:03.003 PM Expected 3 or more strings in this type 0 table. 
Message 12/24/2014 5:41:03.003 PM Found 3 Strings. 
Message 12/24/2014 5:41:03.003 PM String number = 2, Spaces found = 0, Total characters = 19 
Message 12/24/2014 5:41:03.003 PM String number = 3, Spaces found = 0, Total characters = 10 
Message 12/24/2014 5:41:03.003 PM Examining formatting of BIOS Release Date string: "04/01/2014" 
Message 12/24/2014 5:41:03.003 PM Parsed 3 component parts: Month: 04 Day: 01 Year: 2014 Extra Data: "<None>" 
Message 12/24/2014 5:41:03.003 PM Table Type: 1 
Message 12/24/2014 5:41:03.003 PM Fixed Length: 27 bytes 
Message 12/24/2014 5:41:03.003 PM Total Length: 219 bytes 
Message 12/24/2014 5:41:03.003 PM 40: 01 1B 00 01 01 02 03 04 83 FF 7B 1C C0 76 92 4F B3 02 E5 4A 8F E6 68 AB 
Message 12/24/2014 5:41:03.003 PM 58: 06 00 05  
Message 12/24/2014 5:41:03.003 PM 1: "Red Hat" 
Message 12/24/2014 5:41:03.003 PM 2: "Red Hat Enterprise OpenStack and Red Hat Enterprise Linux with Enterprise Virtualization" 
Message 12/24/2014 5:41:03.003 PM 3: "7Server-0.1" 
Message 12/24/2014 5:41:03.003 PM 4: "44454C4C-5700-1058-804B-B7 C04 F483258_00:21:9b:58:d2:90" 
Message 12/24/2014 5:41:03.003 PM 5: "Red Hat Enterprise Linux" 
Message 12/24/2014 5:41:03.003 PM Expected 4 or more strings in this type 1 table. 
Message 12/24/2014 5:41:03.003 PM Found 5 Strings. 
Message 12/24/2014 5:41:03.003 PM String number = 1, Spaces found = 1, Total characters = 7 
Message 12/24/2014 5:41:03.003 PM String number = 2, Spaces found = 11, Total characters = 88 
Message 12/24/2014 5:41:03.003 PM UUID: 83FF7B1CC076924FB302E54A8FE668AB 
Message 12/24/2014 5:41:03.003 PM SMBiosCheckSystemInformationSpecificData 
Message 12/24/2014 5:41:03.003 PM Table Type: 3 
Message 12/24/2014 5:41:03.003 PM Fixed Length: 21 bytes 
Message 12/24/2014 5:41:03.003 PM Total Length: 66 bytes 
Message 12/24/2014 5:41:03.003 PM 11b: 03 15 00 03 01 01 02 00 00 03 03 03 02 00 00 00 00 00 00 00 00  
Message 12/24/2014 5:41:03.003 PM 1: "Red Hat" 
Message 12/24/2014 5:41:03.003 PM 2: "RHEL 7.1.0 PC (i440FX + PIIX, 1996)" 
Message 12/24/2014 5:41:03.003 PM Expected 2 or more strings in this type 3 table. 
Message 12/24/2014 5:41:03.003 PM Found 2 Strings. 
Message 12/24/2014 5:41:03.003 PM String number = 1, Spaces found = 1, Total characters = 7 
Message 12/24/2014 5:41:03.003 PM Table Type: 4 
Message 12/24/2014 5:41:03.003 PM Fixed Length: 42 bytes 
Message 12/24/2014 5:41:03.003 PM Total Length: 93 bytes 
Message 12/24/2014 5:41:03.003 PM 15d: 04 2A 00 04 01 03 01 02 61 0F 00 00 FD FB 8B 07 03 00 00 00 00 00 00 00 
Message 12/24/2014 5:41:03.003 PM 175: 41 01 FF FF FF FF FF FF 00 00 00 01 01 01 02 00 01 00  
Message 12/24/2014 5:41:03.003 PM 1: "CPU 0" 
Message 12/24/2014 5:41:03.003 PM 2: "Red Hat" 
Message 12/24/2014 5:41:03.003 PM 3: "RHEL 7.1.0 PC (i440FX + PIIX, 1996)" 
Message 12/24/2014 5:41:03.003 PM Expected 3 or more strings in this type 4 table. 
Message 12/24/2014 5:41:03.003 PM Found 3 Strings. 
Message 12/24/2014 5:41:03.003 PM String number = 1, Spaces found = 1, Total characters = 5 
Error 12/24/2014 5:41:03.003 PM SMBiosCheckTypeSpecificData - Processor Max Speed cannot be Unknown. 
File:   base\hals\smbioshct\smbioshct.cpp Line: 3691 
Error Type:   HRESULT 
Error Code:   0xd 
Error Text:   The data is invalid. 
Message 12/24/2014 5:41:03.003 PM String number = 2, Spaces found = 1, Total characters = 7 
Error 12/24/2014 5:41:03.003 PM SMBiosCheckTypeSpecificData - Processor Max Speed cannot be Unknown. 
File:   base\hals\smbioshct\smbioshct.cpp Line: 3789 
Error Type:   HRESULT 
Error Code:   0xd 
Error Text:   The data is invalid. 
Message 12/24/2014 5:41:03.003 PM Table Type: 4 
Message 12/24/2014 5:41:03.003 PM Fixed Length: 42 bytes 
Message 12/24/2014 5:41:03.003 PM Total Length: 93 bytes 
Message 12/24/2014 5:41:03.003 PM 1ba: 04 2A 01 04 01 03 01 02 61 0F 00 00 FD FB 8B 07 03 00 00 00 00 00 00 00 
Message 12/24/2014 5:41:03.003 PM 1d2: 41 01 FF FF FF FF FF FF 00 00 00 01 01 01 02 00 01 00  
Message 12/24/2014 5:41:03.003 PM 1: "CPU 1" 
Message 12/24/2014 5:41:03.003 PM 2: "Red Hat" 
Message 12/24/2014 5:41:03.003 PM 3: "RHEL 7.1.0 PC (i440FX + PIIX, 1996)" 
Message 12/24/2014 5:41:03.003 PM Expected 3 or more strings in this type 4 table. 
Message 12/24/2014 5:41:03.003 PM Found 3 Strings. 
Message 12/24/2014 5:41:03.003 PM String number = 1, Spaces found = 1, Total characters = 5 
<snip>
------------------------------------------------------------
Expected results:

Start Test 12/24/2014 5:42:59.287 PM Validating SMBIOS... 
Message 12/24/2014 5:42:59.287 PM Examining Type 0 table for SMBIOS 2.4 support. 
Message 12/24/2014 5:42:59.287 PM BIOS Information Table length conforms to SMBIOS 2.4. 
Message 12/24/2014 5:42:59.287 PM Targeted Content Distribution Bit Set. 
Message 12/24/2014 5:42:59.287 PM Examining Type 1 table for SMBIOS 2.4 support. 
Message 12/24/2014 5:42:59.287 PM System Information Table length conforms to SMBIOS 2.4. 
Message 12/24/2014 5:42:59.287 PM Targeted Content Distribution Enabled. 
Message 12/24/2014 5:42:59.287 PM Table Type: 0 
Message 12/24/2014 5:42:59.287 PM Fixed Length: 24 bytes 
Message 12/24/2014 5:42:59.287 PM Total Length: 50 bytes 
Message 12/24/2014 5:42:59.287 PM 0: 00 18 00 00 01 02 00 E8 03 00 08 00 00 00 00 00 00 00 00 04 01 00 FF FF 
Message 12/24/2014 5:42:59.287 PM 1: "Seabios" 
Message 12/24/2014 5:42:59.287 PM 2: "0.5.1" 
Message 12/24/2014 5:42:59.287 PM 3: "01/01/2011" 
Message 12/24/2014 5:42:59.287 PM Expected 3 or more strings in this type 0 table. 
Message 12/24/2014 5:42:59.287 PM Found 3 Strings. 
Message 12/24/2014 5:42:59.287 PM String number = 2, Spaces found = 0, Total characters = 5 
Message 12/24/2014 5:42:59.287 PM String number = 3, Spaces found = 0, Total characters = 10 
Message 12/24/2014 5:42:59.287 PM Examining formatting of BIOS Release Date string: "01/01/2011" 
Message 12/24/2014 5:42:59.287 PM Parsed 3 component parts: Month: 01 Day: 01 Year: 2011 Extra Data: "<None>" 
Message 12/24/2014 5:42:59.287 PM Table Type: 1 
Message 12/24/2014 5:42:59.287 PM Fixed Length: 27 bytes 
Message 12/24/2014 5:42:59.287 PM Total Length: 219 bytes 
Message 12/24/2014 5:42:59.287 PM 32: 01 1B 00 01 01 02 03 04 0F 9D CE 8A 2C 81 4A 48 91 B3 9A 0B C6 B6 85 0C 
Message 12/24/2014 5:42:59.287 PM 4a: 06 00 05  
Message 12/24/2014 5:42:59.287 PM 1: "Red Hat" 
Message 12/24/2014 5:42:59.287 PM 2: "Red Hat Enterprise OpenStack and Red Hat Enterprise Linux with Enterprise Virtualization" 
Message 12/24/2014 5:42:59.287 PM 3: "7Server-0.1" 
Message 12/24/2014 5:42:59.287 PM 4: "44454C4C-5700-1058-804B-B7 C04 F483258_00:21:9b:58:d2:90" 
Message 12/24/2014 5:42:59.287 PM 5: "Red Hat Enterprise Linux" 
Message 12/24/2014 5:42:59.287 PM Expected 4 or more strings in this type 1 table. 
Message 12/24/2014 5:42:59.287 PM Found 5 Strings. 
Message 12/24/2014 5:42:59.287 PM String number = 1, Spaces found = 1, Total characters = 7 
Message 12/24/2014 5:42:59.287 PM String number = 2, Spaces found = 11, Total characters = 88 
Message 12/24/2014 5:42:59.287 PM UUID: 0F9DCE8A2C814A4891B39A0BC6B6850C 
Message 12/24/2014 5:42:59.287 PM SMBiosCheckSystemInformationSpecificData 
Message 12/24/2014 5:42:59.287 PM Table Type: 3 
Message 12/24/2014 5:42:59.287 PM Fixed Length: 20 bytes 
Message 12/24/2014 5:42:59.287 PM Total Length: 27 bytes 
Message 12/24/2014 5:42:59.287 PM 10d: 03 14 00 03 01 01 00 00 00 03 03 03 02 00 00 00 00 00 00 00  
Message 12/24/2014 5:42:59.287 PM 1: "Bochs" 
Message 12/24/2014 5:42:59.287 PM Expected 1 or more strings in this type 3 table. 
Message 12/24/2014 5:42:59.287 PM Found 1 Strings. 
Message 12/24/2014 5:42:59.287 PM String number = 1, Spaces found = 0, Total characters = 5 
Message 12/24/2014 5:42:59.287 PM Table Type: 4 
Message 12/24/2014 5:42:59.287 PM Fixed Length: 32 bytes 
Message 12/24/2014 5:42:59.287 PM Total Length: 45 bytes 
Message 12/24/2014 5:42:59.287 PM 128: 04 20 01 04 01 03 01 02 A3 06 01 00 FD FB 8B 07 00 00 00 00 D0 07 D0 07 
Message 12/24/2014 5:42:59.287 PM 140: 41 01 FF FF FF FF FF FF  
Message 12/24/2014 5:42:59.287 PM 1: "CPU 1" 
Message 12/24/2014 5:42:59.287 PM 2: "Bochs" 
Message 12/24/2014 5:42:59.287 PM Expected 2 or more strings in this type 4 table. 
Message 12/24/2014 5:42:59.287 PM Found 2 Strings. 
Message 12/24/2014 5:42:59.287 PM String number = 1, Spaces found = 1, Total characters = 5 
Message 12/24/2014 5:42:59.287 PM String number = 2, Spaces found = 0, Total characters = 5 
Message 12/24/2014 5:42:59.287 PM Table Type: 4 
Message 12/24/2014 5:42:59.287 PM Fixed Length: 32 bytes 
Message 12/24/2014 5:42:59.287 PM Total Length: 45 bytes 
Message 12/24/2014 5:42:59.287 PM 155: 04 20 02 04 01 03 01 02 A3 06 01 00 FD FB 8B 07 00 00 00 00 D0 07 D0 07 
Message 12/24/2014 5:42:59.287 PM 16d: 41 01 FF FF FF FF FF FF  
Message 12/24/2014 5:42:59.287 PM 1: "CPU 2" 
Message 12/24/2014 5:42:59.287 PM 2: "Bochs" 
Message 12/24/2014 5:42:59.287 PM Expected 2 or more strings in this type 4 table. 
Message 12/24/2014 5:42:59.287 PM Found 2 Strings. 
Message 12/24/2014 5:42:59.287 PM String number = 1, Spaces found = 1, Total characters = 5 
Message 12/24/2014 5:42:59.287 PM String number = 2, Spaces found = 0, Total characters = 5 
Message 12/24/2014 5:42:59.287 PM Table Type: 4 
Message 12/24/2014 5:42:59.287 PM Fixed Length: 32 bytes 
Message 12/24/2014 5:42:59.287 PM Total Length: 45 bytes 
Message 12/24/2014 5:42:59.287 PM 182: 04 20 03 04 01 03 01 02 A3 06 01 00 FD FB 8B 07 00 00 00 00 D0 07 D0 07 
Message 12/24/2014 5:42:59.287 PM 19a: 41 01 FF FF FF FF FF FF  
Message 12/24/2014 5:42:59.287 PM 1: "CPU 3" 
Message 12/24/2014 5:42:59.287 PM 2: "Bochs" 
Message 12/24/2014 5:42:59.287 PM Expected 2 or more strings in this type 4 table. 
Message 12/24/2014 5:42:59.287 PM Found 2 Strings. 
Message 12/24/2014 5:42:59.287 PM String number = 1, Spaces found = 1, Total characters = 5 
Message 12/24/2014 5:42:59.287 PM String number = 2, Spaces found = 0, Total characters = 5 
Message 12/24/2014 5:42:59.287 PM Table Type: 4 
Message 12/24/2014 5:42:59.287 PM Fixed Length: 32 bytes 
Message 12/24/2014 5:42:59.287 PM Total Length: 45 bytes 
Message 12/24/2014 5:42:59.287 PM 1af: 04 20 04 04 01 03 01 02 A3 06 01 00 FD FB 8B 07 00 00 00 00 D0 07 D0 07 
Message 12/24/2014 5:42:59.287 PM 1c7: 41 01 FF FF FF FF FF FF  
<snip>


Additional info:
s/pc-i440fx-rhel7.1.0/pc-i440fx-rhel7.0.0 in qemu-kvm commandline will not hit the issue (see expected results)
We did not hit this issue during RHEL7.0 SVVP Test ,so it is a testblocker and regression bug ,pls help to check it ASAP.

Comment 3 Michael S. Tsirkin 2015-01-04 12:04:31 UTC
Are we sure this is a regression?
It could be a new SVVP requirement, could it not?

I checked and it seems we always set speed to Unknown.
Can this be tested on an older host to make sure?

Alternatively, does  -M pc-i440fx-rhel7.1.0
change things?

Comment 4 Mike Cao 2015-01-05 01:13:42 UTC
(In reply to Michael S. Tsirkin from comment #3)
> Are we sure this is a regression?
Yep,It is a regression,as I did not hit this issue during RHEL7.0 SVVP Test.

> It could be a new SVVP requirement, could it not?
It is a old requirement for years..

> I checked and it seems we always set speed to Unknown.
> Can this be tested on an older host to make sure?
> 
what's the "older" mean here , RHEL7.0 or older RHEL7.1 ?
if it is RHEL7.0 ,the SVVP test logs has submit to MSFT ald which means we did not hit the issue.for older RHEL7.1,I did not test it.

> Alternatively, does  -M pc-i440fx-rhel7.1.0
> change things?
Sorry ,I did not get your question.

In case you miss the point:
using -M pc-i440fx-rhel7.0.0 on the same host will not hit the issue. 
Any more issues pls let me know 

Thanks,
Mike

Comment 5 Eduardo Habkost 2015-01-05 19:08:10 UTC
There's a Brew scratch build for testing at:
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=8454404

It changes the max_speed and current_speed fields to match the old Seabios defaults (2000 MHz instead of 0).

Please confirm if this is enough to fix the issue, or if other fields also need to be updated.

Comment 6 Mike Cao 2015-01-06 03:39:19 UTC
(In reply to Eduardo Habkost from comment #5)
> There's a Brew scratch build for testing at:
> http://brewweb.devel.redhat.com/brew/taskinfo?taskID=8454404
> 
> It changes the max_speed and current_speed fields to match the old Seabios
> defaults (2000 MHz instead of 0).
> 
> Please confirm if this is enough to fix the issue, or if other fields also
> need to be updated.

Much better .but the job still failed with following info:
Can you help to fix following issues as well ?

Message 1/6/2015 11:26:32.609 AM WARNING! Memory Part Number is 0x00. Please consider adding this string. See SYSFUND-0210 for more information. 
Error 1/6/2015 11:26:32.609 AM SMBiosCheckSystemMemoryDeviceTables - System Memory Device with Size of 0 found! Systems seeking Server logo must have all memory slots populated! If there is a memory device in each slot, consult with your BIOS developer as this is a bug in the SMBIOS implementation. 
File:   base\hals\smbioshct\smbioshct.cpp Line: 5661 
Error Type:   HRESULT 
Error Code:   0x80004005 
Error Text:   Unspecified error 
Error 1/6/2015 11:26:32.609 AM SMBiosCheckSystemMemoryDeviceTables - PLEASE NOTE:
Windows Server system certification expects the server memory configuration to be the largest capacity at the highest memory clock speed that is supported by the server, regardless of the number of memory channels or DIMM slots.

Should the above result in one or more DIMM slots being left unpopulated, due to technical constraints in the memory subsystem architectures, please describe those in a document accompanying the certification .hckx package submission. 
File:   base\hals\smbioshct\smbioshct.cpp Line: 5669 
Error Type:   HRESULT 
Error Code:   0x80004005 
Error Text:   Unspecified error 
Error 1/6/2015 11:26:32.609 AM SMBiosCheckSystemMemoryDeviceTables - That write-up must include the following:

1. The true maximum amount of memory the server can support in kilobytes. For example, specify 16777216 to mean 16GB, or 67108864 for 64GB, or 268435456 for 256GB, and so on.

2. The technical reasons why one or more memory DIMM slots are left unpopulated for the WHCK test runs.

This write-up will be taken into consideration during the Windows Server hardware certification review of the test results. 
File:   base\hals\smbioshct\smbioshct.cpp Line: 5683 
Error Type:   HRESULT 
Error Code:   0x80004005 
Error Text:   Unspecified error 

Message 1/6/2015 11:26:33.609 AM SMBIOS reported installed system memory: 245760 MB 
Message 1/6/2015 11:26:33.609 AM SMBIOS reported system memory capacity: 262144 MB 
Message 1/6/2015 11:26:33.609 AM System memory available to Windows: 262143 MB 
Error 1/6/2015 11:26:33.609 AM SMBiosCheckSystemMemoryDeviceTables - System memory available to Windows cannot be greater than SMBIOS reported system memory! This indicates an error in the SMBIOS implementation. Check the size fields of all memory device tables belonging to physical memory arrays marked for system memory use. 
File:   base\hals\smbioshct\smbioshct.cpp Line: 5993 
Error Type:   HRESULT 
Error Code:   0x80004005 
Error Text:   Unspecified error

Comment 7 Eduardo Habkost 2015-01-06 09:25:51 UTC
(In reply to Mike Cao from comment #6)
> (In reply to Eduardo Habkost from comment #5)
> > There's a Brew scratch build for testing at:
> > http://brewweb.devel.redhat.com/brew/taskinfo?taskID=8454404
> > 
> > It changes the max_speed and current_speed fields to match the old Seabios
> > defaults (2000 MHz instead of 0).
> > 
> > Please confirm if this is enough to fix the issue, or if other fields also
> > need to be updated.
> 
> Much better .but the job still failed with following info:
> Can you help to fix following issues as well ?
> 

I will take a look and probably fix all at the same time upstream, but please open a new BZ for it as they are different bugs. Thanks!

Comment 8 Mike Cao 2015-01-06 10:11:18 UTC
(In reply to Eduardo Habkost from comment #7)
> (In reply to Mike Cao from comment #6)
> > (In reply to Eduardo Habkost from comment #5)
> > > There's a Brew scratch build for testing at:
> > > http://brewweb.devel.redhat.com/brew/taskinfo?taskID=8454404
> > > 
> > > It changes the max_speed and current_speed fields to match the old Seabios
> > > defaults (2000 MHz instead of 0).
> > > 
> > > Please confirm if this is enough to fix the issue, or if other fields also
> > > need to be updated.
> > 
> > Much better .but the job still failed with following info:
> > Can you help to fix following issues as well ?
> > 
> 
> I will take a look and probably fix all at the same time upstream, but
> please open a new BZ for it as they are different bugs. Thanks!

Sorry ,Do you support to report bug for strach build ?

Thanks
Mike

Comment 11 Mike Cao 2015-01-06 10:31:18 UTC
(In reply to Eduardo Habkost from comment #7)
> (In reply to Mike Cao from comment #6)
> > (In reply to Eduardo Habkost from comment #5)
> > > There's a Brew scratch build for testing at:
> > > http://brewweb.devel.redhat.com/brew/taskinfo?taskID=8454404
> > > 
> > > It changes the max_speed and current_speed fields to match the old Seabios
> > > defaults (2000 MHz instead of 0).
> > > 
> > > Please confirm if this is enough to fix the issue, or if other fields also
> > > need to be updated.
> > 
> > Much better .but the job still failed with following info:
> > Can you help to fix following issues as well ?
> > 
> 
> I will take a look and probably fix all at the same time upstream, but
> please open a new BZ for it as they are different bugs. Thanks!

bug 1179165

Comment 12 Eduardo Habkost 2015-01-07 18:26:33 UTC
Fix submitted upstream:

From: Eduardo Habkost <ehabkost@redhat.com>
To: qemu-devel@nongnu.org
Cc: Paolo Bonzini <pbonzini@redhat.com>, "Gabriel L. Somlo" <gsomlo@gmail.com>,
        Gerd Hoffmann <kraxel@redhat.com>
Subject: [PATCH 0/2] smbios: Fixes for SVVP tests
Date: Wed,  7 Jan 2015 15:36:32 -0200
Message-Id: <1420652194-3224-1-git-send-email-ehabkost@redhat.com>

Comment 13 Miroslav Rezanina 2015-01-13 11:26:49 UTC
Fix included in qemu-kvm-rhev-2.1.2-19.el7

Comment 15 Mike Cao 2015-01-14 06:45:39 UTC
Verified this issue on qemu-kvm-rhev-2.1.2-19.el7

Steps same as comment#0

Actual Results:
Job can pass

Based on above ,this issue has been fixed ald on windows platform

Comment 16 juzhang 2015-01-15 09:18:42 UTC
According to comment15, set this issue as verified.

Comment 19 errata-xmlrpc 2015-03-05 09:57:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.